### Method

# Gio Cancellable set_error_if_cancelled

#### Declaration [src]

    gboolean
    g_cancellable_set_error_if_cancelled (
      GCancellable* cancellable
      GError** error
    )

#### Description [src]

If the `cancellable` is cancelled, sets the error to notify that the operation was cancelled.

#### Parameters

`cancellable`

  Type: `GCancellable`

  A `GCancellable` or `NULL`.

  The argument can be `NULL`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if `cancellable` was cancelled, `FALSE` if it was not.